package com.brilliance.isc.common.bop.service;

import com.brilliance.isc.common.rmbbop.common.AbstractRmb;

import java.util.ArrayList;
import java.util.List;

public interface IPblStoreContract<T extends AbstractRmb> {

    /**
     * 保存子节点信息
     *
     * @param ipbldata 报送业务信息
     */
    default void saveChildData(T ipbldata) {
    }

    default void buildData(T ipbldata) {
    }

    default void rmbLoadContract(T ipbldata) {
    }

    default List<String> setRMBPresaveoldValue(T ipbldata) {
        return new ArrayList<>();
    }

}
